Debian Bug report logs - #641614
libidl: Please convert to multiarch

version graph

Package: libidl; Maintainer for libidl is Sebastian Rittau <srittau@debian.org>;

Reported by: Riku Voipio <riku.voipio@iki.fi>

Date: Wed, 14 Sep 2011 16:51:02 UTC

Severity: normal

Tags: patch

Found in version 0.8.14-0.2

Fixed in version libidl/0.8.14-0.3

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sebastian Rittau <srittau@debian.org>:
Bug#641614; Package libidl. (Wed, 14 Sep 2011 16:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
New Bug report received and forwarded. Copy sent to Sebastian Rittau <srittau@debian.org>. (Wed, 14 Sep 2011 16:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: submit@bugs.debian.org
Subject: please convert to multiarch
Date: Wed, 14 Sep 2011 19:49:12 +0300
[Message part 1 (text/plain, inline)]
Package: libidl                                                                                                                                    
Version: 0.8.14-0.2
Severity: normal                                                                                                                                                  
User: debian-dpkg@lists.debian.org                                                                                                                                
Usertags: multiarch                                                                                                                                               
Tags: patch                                                                                                                                                       

The attached patch add multiarch to libidl. Since the maintainers seems MIA, 
I shall NMU this next week unless I hear objections.

Riku          
[idl.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Rittau <srittau@debian.org>:
Bug#641614; Package libidl. (Tue, 29 Nov 2011 08:58:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Sebastian Rittau <srittau@debian.org>. (Tue, 29 Nov 2011 08:58:41 GMT) Full text and rfc822 format available.

Message #10 received at 641614@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 641614@bugs.debian.org
Subject: libidl: please convert to multiarch
Date: Tue, 29 Nov 2011 10:55:50 +0200
Hi Sebastian,

Any news on this patch?

Riku




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Rittau <srittau@debian.org>:
Bug#641614; Package libidl. (Tue, 03 Jan 2012 12:40:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mikhail Sogrin <sogrin@gmail.com>:
Extra info received and forwarded to list. Copy sent to Sebastian Rittau <srittau@debian.org>. (Tue, 03 Jan 2012 12:41:12 GMT) Full text and rfc822 format available.

Message #15 received at 641614@bugs.debian.org (full text, mbox):

From: Mikhail Sogrin <sogrin@gmail.com>
To: 641614@bugs.debian.org
Subject: libidl: please convert to multiarch
Date: Tue, 3 Jan 2012 12:07:40 +0000
[Message part 1 (text/plain, inline)]
Hi,

Any news on the patch?
Riku has it ready. Can it be applied?

Kind regards,
Mikhail
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Rittau <srittau@debian.org>:
Bug#641614; Package libidl. (Wed, 08 Feb 2012 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tom Ellis <tom@trellisnet.co.uk>:
Extra info received and forwarded to list. Copy sent to Sebastian Rittau <srittau@debian.org>. (Wed, 08 Feb 2012 17:03:03 GMT) Full text and rfc822 format available.

Message #20 received at 641614@bugs.debian.org (full text, mbox):

From: Tom Ellis <tom@trellisnet.co.uk>
To: 641614@bugs.debian.org
Subject: libidl: please convert to multiarch
Date: Wed, 08 Feb 2012 16:59:32 +0000
Hi,

I'm interested in getting multi-arch support for this package too.

A couple of things:
 * I'm using $(DEB_HOST_MULTIARCH) in debian/control instead of just /*/
- I *think* that's what's recommended
 * Changed depends on cpp to cpp:any due to (discussion from #ubuntu-devel):

<TREllis> I'm trying to multi-arch libidl0, it depends on cpp, which
means the i386 package still won't install on amd64, needs cpp:i386...
does that mean cpp needs multi-arching?
<cjwatson> TREllis: Multi-Arch: foreign on cpp *might* be the right
thing if the version from another architecture will work; but I would
have thought that cpp has architecture-specific defaults in it ...
<cjwatson> TREllis: we don't have provision for real multi-arch of
binaries yet
<TREllis> cjwatson: right I thought that might be the case. That's one
of my blockers at the moment whilst trying to fix a chain of multi-arch
dependancies
...
<slangasek> cjwatson, TREllis: cpp is already marked Multi-Arch:
allowed; packages that need to be able to depend on a foreign-arch
version of cpp need to be updated to depend on cpp:any
<slangasek> TREllis: because it's not correct to say that a cpp package
of any architecture will satisfy the dependency on cpp for a package of
any other architecture, because of the per-arch defaults cjwatson mentions.

There is a bug open for this in Ubuntu too: http://pad.lv/911199




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Rittau <srittau@debian.org>:
Bug#641614; Package libidl. (Mon, 13 Feb 2012 11:51:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Sebastian Rittau <srittau@debian.org>. (Mon, 13 Feb 2012 11:51:24 GMT) Full text and rfc822 format available.

Message #25 received at 641614@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Riku Voipio <riku.voipio@iki.fi>, Mikhail Sogrin <sogrin@gmail.com>, Tom Ellis <tom@trellisnet.co.uk>, 641614@bugs.debian.org
Subject: Re: Bug#641614: libidl: please convert to multiarch
Date: Mon, 13 Feb 2012 11:49:44 +0000
On Wed, Feb 08, 2012 at 04:59:32PM +0000, Tom Ellis wrote:
>  * Changed depends on cpp to cpp:any due to (discussion from #ubuntu-devel):

Unfortunately this is troublesome.  Here's the text of the Ubuntu bug I
just filed about this (https://bugs.launchpad.net/bugs/931388):

  libidl0 0.8.14-0.2ubuntu1 has started using the new "Depends: cpp:any"
  syntax, and is the only package in the archive currently doing so. The
  multiarch specification says:
  
    "It is worth noting that existing package management tools will be
    unable to interpret and satisfy package relationships of this
    format, even when the desired package is available. Consequently, it
    is recommended to defer use of such package relationships in the
    archive for a full release cycle following the package management
    implementation."
  
  I would argue that the relevant release cycle for Ubuntu should be
  considered to be the LTS cycle. The version of apt in lucid cannot
  understand "Depends: cpp:any", as shown here:
  
    <root@sarantium(lucid-upgrade) ~># apt-get install libidl0
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
  
    The following packages have unmet dependencies.
      libidl0: Depends: cpp:any but it is not installable
    E: Broken packages
    <root@sarantium(lucid-upgrade) ~># apt-get install cpp
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following extra packages will be installed:
      binutils cpp-4.4 cpp-4.6 gcc-4.4 gcc-4.4-base gcc-4.6-base libc-bin libc-dev-bin libc6 libc6-dev libgcc1 libgmp10 libgomp1 libmpc2 libmpfr4 libnih-dbus1 libnih1 libpopt0 libstdc++6 make multiarch-support
      pkg-config
    Suggested packages:
      binutils-doc cpp-doc gcc-4.4-locales gcc-4.6-locales gcc-4.4-multilib libmudflap0-4.4-dev gcc-4.4-doc libgcc1-dbg libgomp1-dbg libmudflap0-dbg libcloog-ppl0 libppl-c2 libppl7 glibc-doc make-doc
    The following packages will be REMOVED
      libc6-i686
    The following NEW packages will be installed
      cpp-4.6 gcc-4.6-base libgmp10 libmpc2 libmpfr4 multiarch-support
    The following packages will be upgraded:
      binutils cpp cpp-4.4 gcc-4.4 gcc-4.4-base libc-bin libc-dev-bin libc6 libc6-dev libgcc1 libgomp1 libnih-dbus1 libnih1 libpopt0 libstdc++6 make pkg-config
    17 upgraded, 6 newly installed, 1 to remove and 979 not upgraded.
    Need to get 17.8MB/25.1MB of archives.
    After this operation, 8,034kB of additional disk space will be used.
    Do you want to continue [Y/n]? n
    Abort.
  
  (Admittedly, the release upgrader in update-manager has a backport of
  apt which would avoid this problem, but we generally try to avoid
  design decisions that *require* using the release upgrader.)
  
  Furthermore, germinate doesn't currently understand this kind of
  multiarch dependency relationship and it's not straightforward to make
  it do so while it's still deployed on lucid; so using this before the
  archive infrastructure is itself upgraded to precise may cause
  malfunctions such as Task fields not being updated properly, packages
  not being present on CD images when they should be, and so on.
  
  I understand that it is very convenient in this case, and indeed
  arguably necessary for multiarch support in libidl; but I don't think
  we can do it in this particular way until after precise.

For Debian, introducing "Depends: cpp:any" in advance of the wheezy
release would be even worse, because Debian doesn't have the release
upgrader workaround.  In Debian, you must only use dependency syntax
supported by apt in the previous release.

I can think of one other possibility which might work, but needs to be
tested.  Introduce a libidl-common package, which is empty apart from
documentation.  The control metadata would look something like this:

  Package: libidl0
  Architecture: any
  Multi-Arch: same
  Pre-Depends: ${misc:Pre-Depends}
  Depends: libidl-common (>= ${source:Version}), libidl-common (<< ${source:Version}.1), ${shlibs:Depends}, ${misc:Depends}

  Package: libidl-common
  Architecture: all
  Multi-Arch: foreign
  Depends: cpp

That would be supported by squeeze's apt, and I think that layer of
indirection might do what you want for multiarch as well.

-- 
Colin Watson                                       [cjwatson@ubuntu.com]




Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Rittau <srittau@debian.org>:
Bug#641614; Package libidl. (Tue, 13 Mar 2012 12:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Sebastian Rittau <srittau@debian.org>. (Tue, 13 Mar 2012 12:39:10 GMT) Full text and rfc822 format available.

Message #30 received at 641614@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Riku Voipio <riku.voipio@iki.fi>, Mikhail Sogrin <sogrin@gmail.com>, Tom Ellis <tom@trellisnet.co.uk>, 641614@bugs.debian.org
Subject: Re: Bug#641614: libidl: please convert to multiarch
Date: Tue, 13 Mar 2012 12:03:13 +0000
On Mon, Feb 13, 2012 at 11:49:44AM +0000, Colin Watson wrote:
> I can think of one other possibility which might work, but needs to be
> tested.  Introduce a libidl-common package, which is empty apart from
> documentation.  The control metadata would look something like this:

OK, that seems to work.  Riku, could you double-check this patch and
consider it for the NMU you were talking about doing?

diff -u libidl-0.8.14/debian/rules libidl-0.8.14/debian/rules
--- libidl-0.8.14/debian/rules
+++ libidl-0.8.14/debian/rules
@@ -4,6 +4,8 @@
 include /usr/share/cdbs/1/class/autotools.mk
 
+DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+
 install/libidl-dev::
-	for file in debian/tmp/usr/lib/*.la; do \
+	for file in debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la; do \
 		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
 	done
diff -u libidl-0.8.14/debian/libidl0.install libidl-0.8.14/debian/libidl0.install
--- libidl-0.8.14/debian/libidl0.install
+++ libidl-0.8.14/debian/libidl0.install
@@ -1 +1 @@
-debian/tmp/usr/lib/lib*.so.*
+debian/tmp/usr/lib/*/lib*.so.*
diff -u libidl-0.8.14/debian/libidl-dev.install libidl-0.8.14/debian/libidl-dev.install
--- libidl-0.8.14/debian/libidl-dev.install
+++ libidl-0.8.14/debian/libidl-dev.install
@@ -1,6 +1,6 @@
 debian/tmp/usr/include
-debian/tmp/usr/lib/*.so
-debian/tmp/usr/lib/*.la
-debian/tmp/usr/lib/*.a
-debian/tmp/usr/lib/pkgconfig
+debian/tmp/usr/lib/*/*.so
+debian/tmp/usr/lib/*/*.la
+debian/tmp/usr/lib/*/*.a
+debian/tmp/usr/lib/*/pkgconfig
 debian/tmp/usr/bin/libIDL-config-2
diff -u libidl-0.8.14/debian/control libidl-0.8.14/debian/control
--- libidl-0.8.14/debian/control
+++ libidl-0.8.14/debian/control
@@ -3,12 +3,14 @@
 Maintainer: Sebastian Rittau <srittau@debian.org>
 Standards-Version: 3.8.3
 Section: libs
-Build-Depends: libglib2.0-dev, pkg-config, bison, flex, texinfo, cdbs, debhelper (>= 4.1.0)
+Build-Depends: libglib2.0-dev, pkg-config, bison, flex, texinfo, cdbs (>= 0.4.93~), debhelper (>= 8.1.3~) 
 
 Package: libidl0
 Architecture: any
 Section: libs
-Depends: cpp, ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libidl-common (>= ${source:Version}), libidl-common (<< ${source:Version}.1), ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: library for parsing CORBA IDL files
  libIDL is a small library for creating parse trees of CORBA v2.2 compliant
  Interface Definition Language (IDL) files, which is a specification for
@@ -16,10 +19,25 @@
  implementations.  libIDL is used in the ORBit2 IDL compiler, as well
  as various language bindings (Perl, Python, etc.) for ORBit2.
 
+Package: libidl-common
+Architecture: all
+Multi-Arch: foreign
+Depends: cpp
+Description: library for parsing CORBA IDL files (common files)
+ libIDL is a small library for creating parse trees of CORBA v2.2 compliant
+ Interface Definition Language (IDL) files, which is a specification for
+ defining interfaces which can be used between different CORBA
+ implementations.  libIDL is used in the ORBit2 IDL compiler, as well
+ as various language bindings (Perl, Python, etc.) for ORBit2.
+ .
+ This package is a workaround for multiarch-related upgrade problems, and
+ will eventually be merged back into libidl0.
+
 Package: libidl-dev
 Architecture: any
 Section: libdevel
-Depends: libidl0 (= ${binary:Version}), libglib2.0-dev, ${shlibs:Depends}, , ${misc:Depends}
+Depends: libidl0 (= ${binary:Version}), libglib2.0-dev, ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: development files for programs that use libIDL
  This package contains the header files and libraries needed for developing
  programs which use libIDL.

-- 
Colin Watson                                       [cjwatson@ubuntu.com]




Added indication that bug 641614 blocks 677762 Request was from Goswin von Brederlow <goswin-v-b@web.de> to control@bugs.debian.org. (Sat, 16 Jun 2012 19:06:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Rittau <srittau@debian.org>:
Bug#641614; Package libidl. (Sun, 17 Jun 2012 00:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Sebastian Rittau <srittau@debian.org>. (Sun, 17 Jun 2012 00:42:02 GMT) Full text and rfc822 format available.

Message #37 received at 641614@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 641614@bugs.debian.org, Colin Watson <cjwatson@ubuntu.com>, Riku Voipio <riku.voipio@iki.fi>, Mikhail Sogrin <sogrin@gmail.com>, Tom Ellis <tom@trellisnet.co.uk>
Subject: please convert to multiarch
Date: Sun, 17 Jun 2012 02:39:19 +0200
[Message part 1 (text/plain, inline)]
Hi,

since existing .la files will be broken anyway by the move of the .la
file to the multi-arch location, you can just as well drop the .la files
instead of updating debian/rules to fix dependency_libs.

That said, I don't see any reverse dependencies of libidl at [1], so
it's safe to drop the .la file in any case.

Cheers,
Michael


[1] http://release.debian.org/~aba/la/current.txt
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'libidl: Please convert to multiarch' from 'please convert to multiarch' Request was from Goswin von Brederlow <goswin-v-b@web.de> to control@bugs.debian.org. (Fri, 06 Jul 2012 09:09:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Rittau <srittau@debian.org>:
Bug#641614; Package libidl. (Sun, 25 Nov 2012 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Sebastian Rittau <srittau@debian.org>. (Sun, 25 Nov 2012 19:09:03 GMT) Full text and rfc822 format available.

Message #44 received at 641614@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: 641614@bugs.debian.org
Cc: <biebl@debian.org>, <cjwatson@ubuntu.com>, <riku.voipio@iki.fi>, <sogrin@gmail.com>, <tom@trellisnet.co.uk>, Biebl@frosties, Colin@frosties, Ellis@frosties, Michael@frosties, Mikhail@frosties, Riku@frosties, Sogrin@frosties, Tom@frosties, Voipio@frosties, Watson@frosties
Subject: Conversion of libidl to multiarch
Date: Sun, 25 Nov 2012 20:04:55 +0100
Hi,

this bug is still blocking the ia32-libs-gtk multiarch transition that
really needs to go into wheezy. The bug has a patch and everyone seems
to be in agreement that it is correct. So please one of you upload it.

MfG
	Goswin



Information forwarded to debian-bugs-dist@lists.debian.org, Sebastian Rittau <srittau@debian.org>:
Bug#641614; Package libidl. (Fri, 08 Nov 2013 19:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@malsain.org>:
Extra info received and forwarded to list. Copy sent to Sebastian Rittau <srittau@debian.org>. (Fri, 08 Nov 2013 19:57:09 GMT) Full text and rfc822 format available.

Message #49 received at 641614@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@malsain.org>
To: 641614@bugs.debian.org
Subject: libidl: diff for NMU version 0.8.14-0.3
Date: Fri, 8 Nov 2013 20:53:32 +0100
[Message part 1 (text/plain, inline)]
tags 641614 + pending
thanks

Dear maintainer,

I've prepared an NMU for libidl (versioned as 0.8.14-0.3) and
uploaded it to DELAYED/3. Please feel free to tell me if I
should delay it longer.

Regards.
-- 
Josselin Mouette
[libidl-0.8.14-0.3-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Josselin Mouette <joss@malsain.org> to control@bugs.debian.org. (Fri, 08 Nov 2013 19:57:12 GMT) Full text and rfc822 format available.

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Mon, 11 Nov 2013 21:21:10 GMT) Full text and rfc822 format available.

Notification sent to Riku Voipio <riku.voipio@iki.fi>:
Bug acknowledged by developer. (Mon, 11 Nov 2013 21:21:10 GMT) Full text and rfc822 format available.

Message #56 received at 641614-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 641614-close@bugs.debian.org
Subject: Bug#641614: fixed in libidl 0.8.14-0.3
Date: Mon, 11 Nov 2013 21:19:58 +0000
Source: libidl
Source-Version: 0.8.14-0.3

We believe that the bug you reported is fixed in the latest version of
libidl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 641614@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated libidl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 07 Nov 2013 14:00:10 +0100
Source: libidl
Binary: libidl0 libidl-dev
Architecture: source amd64
Version: 0.8.14-0.3
Distribution: unstable
Urgency: low
Maintainer: Sebastian Rittau <srittau@debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 libidl-dev - development files for programs that use libIDL
 libidl0    - library for parsing CORBA IDL files
Closes: 641614
Changes: 
 libidl (0.8.14-0.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Replace libidl-config by a wrapper for pkg-config.
   * Add corresponding dependency on pkg-config.
   * Drop .la files.
   * Switch to multiarch. Closes: #641614.
     + Set libdir accordingly.
     + Update installation paths.
     + Make both packages MA: same.
     + Depend on cpp:any.
Checksums-Sha1: 
 2740db4f25900445f4b9999bb2790b71d4d55789 1094 libidl_0.8.14-0.3.dsc
 a71edbbfebe27a7c93f77638936eec0eb5daab0c 4515 libidl_0.8.14-0.3.diff.gz
 ea81e657b4c180ffa5a2adc553bed47244a36636 112354 libidl0_0.8.14-0.3_amd64.deb
 af3dd7e99ec5f958ac6e0aff8593fb0ec32af298 120400 libidl-dev_0.8.14-0.3_amd64.deb
Checksums-Sha256: 
 d13a4c4b0cc0e995bfc58f036ed79d1c9c9857285da38f432b72159ebf0b02c2 1094 libidl_0.8.14-0.3.dsc
 21f6810f3db333a76892f82d3270fdb385231b1863da04947520ec9d55945aaf 4515 libidl_0.8.14-0.3.diff.gz
 db8df033b5ce6ca1a9a8939f0d4d2527edd2b9f15f4c0e2d57a736d62b1fcf0e 112354 libidl0_0.8.14-0.3_amd64.deb
 f17e3342861725b10beeeecec098d15ed54288c89d759a84e970089514045f76 120400 libidl-dev_0.8.14-0.3_amd64.deb
Files: 
 a8f81fd422a6809824d42a2648be120c 1094 libs optional libidl_0.8.14-0.3.dsc
 86dc702d887a51ff9da33508be8e9753 4515 libs optional libidl_0.8.14-0.3.diff.gz
 6c0e6abe7157a598419c08c73148cb23 112354 libs optional libidl0_0.8.14-0.3_amd64.deb
 fc685071e1170b9ed99f78dc5767a937 120400 libdevel optional libidl-dev_0.8.14-0.3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iD8DBQFSfUFQrSla4ddfhTMRAg67AKDIRf0K+xiAZj0sCo6MEGG3A/i2xACglpWg
pOq5RkMJvy2zEd6DHgTNVAs=
=v5+6
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 Dec 2013 07:26:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 05:05:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.